0

KONtx.element.Grid Quesetions/Issues

- many of the properties on the Grid (pg. 128-129 of the documentation for 0.9.5-33) are undefined during runtime, is that to be expected?

- Method: shift does not work as documented. Setting type to any of the supported values (first, last, left or right) doesn’t work as documented. Only first and last seem to work. We used shift (“Next”) which is not in the documentation but WORKS. Please advise? - we are using 0.9.5-33

- Is there anyway to get the index of the current index of the Grid element. We need to know this so we can ‘restart’ the animation when it gets the last index. As mentioned in the first point, properties like state.focusIndex, state.currentPage all returned null or undefined so we are not sure what to be looking for.

3 Replies
  • QUOTE (Metablocks (Social Media) @ May 20 2009, 01:17 PM) <{POST_SNAPBACK}>
    - many of the properties on the Grid (pg. 128-129 of the documentation for 0.9.5-33) are undefined during runtime, is that to be expected?

    - Method: shift does not work as documented. Setting type to any of the supported values (first, last, left or right) doesn’t work as documented. Only first and last seem to work. We used shift (“Next”) which is not in the documentation but WORKS. Please advise? - we are using 0.9.5-33

    - Is there anyway to get the index of the current index of the Grid element. We need to know this so we can ‘restart’ the animation when it gets the last index. As mentioned in the first point, properties like state.focusIndex, state.currentPage all returned null or undefined so we are not sure what to be looking for.


    Which framework version are you using? From a previous post it looked like you are using Framework 0.2.2 which is deprecated and has issues (some related to the above).

    -Jeremy
    0
  • QUOTE (Jeremy Johnstone @ May 20 2009, 09:00 PM) <{POST_SNAPBACK}>
    Which framework version are you using? From a previous post it looked like you are using Framework 0.2.2 which is deprecated and has issues (some related to the above).

    -Jeremy


    I am using the latest version 1.1 which comes with ywe-wdk-0.9.5-33-i386
    0
  • QUOTE (Metablocks (Social Media) @ Jun 9 2009, 01:19 PM) <{POST_SNAPBACK}>
    I am using the latest version 1.1 which comes with ywe-wdk-0.9.5-33-i386


    Well, 'next' definitely doesn't work in Framework 1.1 and it looks like the only ones which work are first, last, left, and right to me.

    -Jeremy
    0

Recent Posts

in General - Yahoo! TV Widgets